<?php /*

Copyright 2006 Jonathan Davis (stickman@rageagainst.net)
This file is part of Statfink.

Statfink is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Statfink is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Statfink; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

$sql = array (
  0 => 'DROP TABLE IF EXISTS `nflgames`',
  1 => 'CREATE TABLE `nflgames` (
  `recordid` int(11) NOT NULL auto_increment,
  `hometeam` varchar(45) NOT NULL DEFAULT \'\',
  `awayteam` varchar(45) NOT NULL DEFAULT \'\',
  `gameid` varchar(255) NOT NULL default \'\',
  `nflgameid` varchar(255) NOT NULL default \'\',
  `status_flag` integer unsigned NOT NULL default \'0\',  
  `status` varchar(255) NOT NULL default \'\',
  `start_time`  DATETIME NOT NULL DEFAULT 0,           
  `homescore` int(11) NOT NULL DEFAULT 0,    
  `awayscore` int(11) NOT NULL DEFAULT 0,           
  PRIMARY KEY  (`recordid`),
  UNIQUE `teams`(`hometeam`, `awayteam`)
) TYPE=MyISAM',
  2 => 'DROP TABLE IF EXISTS `nflstats`',
  3 => 'CREATE TABLE `nflstats` (
  `recordid` int(11) NOT NULL auto_increment,
  `playername` varchar(255) NOT NULL default \'\',
  `playerteam` varchar(10) NOT NULL default \'\',
  `playertype` int(11) NOT NULL default \'0\',
  `completions` int(11) default \'0\',
  `incompletes` int(11) default \'0\',
  `intercepted` int(11) default \'0\',
  `interceptions` int(11) default \'0\',
  `sacked` int(11) default \'0\',
  `sacks` float default \'0\',
  `rushes` int(11) default \'0\',
  `receptions` int(11) default \'0\',
  `passyds` int(11) default \'0\',
  `rushyds` int(11) default \'0\',
  `recyds` int(11) default \'0\',
  `passtd` int(11) default \'0\',
  `rushtd` int(11) default \'0\',
  `rectd` int(11) default \'0\',
  `deftd` int(11) default \'0\',
  `returnyds` int(11) default \'0\',
  `preturnyds` int(11) default \'0\',
  `kreturnyds` int(11) default \'0\',
  `preturntds` int(11) default \'0\',
  `kreturntds` int(11) default \'0\',
  `fumbles` int(11) default \'0\',
  `fumbleslst` int(11) default \'0\',
  `fumblerecs` int(11) default \'0\',
  `fumblerecyds` int(11) default \'0\',
  `fumbleforces` int(11) default \'0\',
  `fgsmade19` int(11) default \'0\',
  `fgsmade29` int(11) default \'0\',
  `fgsmade39` int(11) default \'0\',
  `fgsmade49` int(11) default \'0\',
  `fgsmade50` int(11) default \'0\',
  `fgsmissed19` int(11) default \'0\',
  `fgsmissed29` int(11) default \'0\',
  `fgsmissed39` int(11) default \'0\',
  `fgsmissed49` int(11) default \'0\',
  `fgsmissed50` int(11) default \'0\',
  `kickblocks` int(11) default \'0\',
  `xpsmade` int(11) default \'0\',
  `xpsmissed` int(11) default \'0\',
  `tackles` int(11) default \'0\',
  `assists` int(11) default \'0\',
  `safeties` int(11) default \'0\',
  `passdef` int(11) default \'0\',
  `twopoint` int(11) default \'0\',
  `ptsallowed` int(11) default \'0\',
  `ofumrectd` int(11) default \'0\',
  PRIMARY KEY  (`recordid`)
) TYPE=MyISAM',
  4 => 'DROP TABLE IF EXISTS `nflstatsdone`',
  5 => 'CREATE TABLE `nflstatsdone` (
  `recordid` int(11) NOT NULL auto_increment,
  `playername` varchar(255) NOT NULL default \'\',
  `playerteam` varchar(10) NOT NULL default \'\',
  `playertype` int(11) NOT NULL default \'0\',
  `completions` int(11) default \'0\',
  `incompletes` int(11) default \'0\',
  `intercepted` int(11) default \'0\',
  `interceptions` int(11) default \'0\',
  `sacked` int(11) default \'0\',
  `sacks` float default \'0\',
  `rushes` int(11) default \'0\',
  `receptions` int(11) default \'0\',
  `passyds` int(11) default \'0\',
  `rushyds` int(11) default \'0\',
  `recyds` int(11) default \'0\',
  `passtd` int(11) default \'0\',
  `rushtd` int(11) default \'0\',
  `rectd` int(11) default \'0\',
  `deftd` int(11) default \'0\',
  `returnyds` int(11) default \'0\',
  `preturnyds` int(11) default \'0\',
  `kreturnyds` int(11) default \'0\',
  `preturntds` int(11) default \'0\',
  `kreturntds` int(11) default \'0\',
  `fumbles` int(11) default \'0\',
  `fumbleslst` int(11) default \'0\',
  `fumblerecs` int(11) default \'0\',
  `fumblerecyds` int(11) default \'0\',
  `fumbleforces` int(11) default \'0\',
  `fgsmade19` int(11) default \'0\',
  `fgsmade29` int(11) default \'0\',
  `fgsmade39` int(11) default \'0\',
  `fgsmade49` int(11) default \'0\',
  `fgsmade50` int(11) default \'0\',
  `fgsmissed19` int(11) default \'0\',
  `fgsmissed29` int(11) default \'0\',
  `fgsmissed39` int(11) default \'0\',
  `fgsmissed49` int(11) default \'0\',
  `fgsmissed50` int(11) default \'0\',
  `kickblocks` int(11) default \'0\',
  `xpsmade` int(11) default \'0\',
  `xpsmissed` int(11) default \'0\',
  `tackles` int(11) default \'0\',
  `assists` int(11) default \'0\',
  `safeties` int(11) default \'0\',
  `passdef` int(11) default \'0\',
  `twopoint` int(11) default \'0\',
  `ptsallowed` int(11) default \'0\',
  `ofumrectd` int(11) default \'0\',
  PRIMARY KEY  (`recordid`)
) TYPE=MyISAM',
  6 => 'DROP TABLE IF EXISTS `nfltemp`',
  7 => 'CREATE TABLE `nfltemp` (
  `tempid` int(11) NOT NULL auto_increment,
  `tempname` varchar(255) NOT NULL default \'\',
  `tempdata` int(11) NOT NULL default \'0\',
  PRIMARY KEY  (`tempid`)
) TYPE=InnoDB',
  8 => 'DROP TABLE IF EXISTS `nflstatstotal`',
  9 => 'CREATE TABLE `nflstatstotal` (
  `recordid` int(11) NOT NULL auto_increment,
  `playername` varchar(255) NOT NULL default \'\',
  `playerteam` varchar(10) NOT NULL default \'\',
  `playertype` int(11) NOT NULL default \'0\',
  `completions` int(11) default \'0\',
  `completions_updt_ind` int(11) default \'0\',
  `incompletes` int(11) default \'0\',
  `incompletes_updt_ind` int(11) default \'0\',
  `intercepted` int(11) default \'0\',
  `intercepted_updt_ind` int(11) default \'0\',
  `interceptions` int(11) default \'0\',
  `interceptions_updt_ind` int(11) default \'0\',
  `sacked` int(11) default \'0\',
  `sacked_updt_ind` int(11) default \'0\',
  `sacks` float default \'0\',
  `sacks_updt_ind` float default \'0\',
  `rushes` int(11) default \'0\',
  `rushes_updt_ind` int(11) default \'0\',
  `receptions` int(11) default \'0\',
  `receptions_updt_ind` int(11) default \'0\',
  `passyds` int(11) default \'0\',
  `passyds_updt_ind` int(11) default \'0\',
  `rushyds` int(11) default \'0\',
  `rushyds_updt_ind` int(11) default \'0\',
  `recyds` int(11) default \'0\',
  `recyds_updt_ind` int(11) default \'0\',
  `passtd` int(11) default \'0\',
  `passtd_updt_ind` int(11) default \'0\',
  `rushtd` int(11) default \'0\',
  `rushtd_updt_ind` int(11) default \'0\',
  `rectd` int(11) default \'0\',
  `rectd_updt_ind` int(11) default \'0\',
  `deftd` int(11) default \'0\',
  `deftd_updt_ind` int(11) default \'0\',
  `returnyds` int(11) default \'0\',
  `returnyds_updt_ind` int(11) default \'0\',
  `preturnyds` int(11) default \'0\',
  `preturnyds_updt_ind` int(11) default \'0\',
  `kreturnyds` int(11) default \'0\',
  `kreturnyds_updt_ind` int(11) default \'0\',
  `preturntds` int(11) default \'0\',
  `preturntds_updt_ind` int(11) default \'0\',
  `kreturntds` int(11) default \'0\',
  `kreturntds_updt_ind` int(11) default \'0\',
  `fumbles` int(11) default \'0\',
  `fumbles_updt_ind` int(11) default \'0\',
  `fumbleslst` int(11) default \'0\',
  `fumbleslst_updt_ind` int(11) default \'0\',
  `fumblerecs` int(11) default \'0\',
  `fumblerecs_updt_ind` int(11) default \'0\',
  `fumblerecyds` int(11) default \'0\',
  `fumblerecyds_updt_ind` int(11) default \'0\',
  `fumbleforces` int(11) default \'0\',
  `fumbleforces_updt_ind` int(11) default \'0\',
  `fgsmade19` int(11) default \'0\',
  `fgsmade19_updt_ind` int(11) default \'0\',
  `fgsmade29` int(11) default \'0\',
  `fgsmade29_updt_ind` int(11) default \'0\',
  `fgsmade39` int(11) default \'0\',
  `fgsmade39_updt_ind` int(11) default \'0\',
  `fgsmade49` int(11) default \'0\',
  `fgsmade49_updt_ind` int(11) default \'0\',
  `fgsmade50` int(11) default \'0\',
  `fgsmade50_updt_ind` int(11) default \'0\',
  `fgsmissed19` int(11) default \'0\',
  `fgsmissed19_updt_ind` int(11) default \'0\',
  `fgsmissed29` int(11) default \'0\',
  `fgsmissed29_updt_ind` int(11) default \'0\',
  `fgsmissed39` int(11) default \'0\',
  `fgsmissed39_updt_ind` int(11) default \'0\',
  `fgsmissed49` int(11) default \'0\',
  `fgsmissed49_updt_ind` int(11) default \'0\',
  `fgsmissed50` int(11) default \'0\',
  `fgsmissed50_updt_ind` int(11) default \'0\',
  `kickblocks` int(11) default \'0\',
  `kickblocks_updt_ind` int(11) default \'0\',
  `xpsmade` int(11) default \'0\',
  `xpsmade_updt_ind` int(11) default \'0\',
  `xpsmissed` int(11) default \'0\',
  `xpsmissed_updt_ind` int(11) default \'0\',
  `tackles` int(11) default \'0\',
  `tackles_updt_ind` int(11) default \'0\',
  `assists` int(11) default \'0\',
  `assists_updt_ind` int(11) default \'0\',
  `safeties` int(11) default \'0\',
  `safeties_updt_ind` int(11) default \'0\',
  `passdef` int(11) default \'0\',
  `passdef_updt_ind` int(11) default \'0\',
  `twopoint` int(11) default \'0\',
  `twopoint_updt_ind` int(11) default \'0\',
  `ptsallowed` int(11) default \'0\',
  `ptsallowed_updt_ind` int(11) default \'0\',
  `ofumrectd` int(11) default \'0\',
  `ofumrectd_updt_ind` int(11) default \'0\',
  PRIMARY KEY  (`recordid`),
  UNIQUE `nameteam`(`playername`, `playerteam`)
) TYPE=MyISAM'
);

//This section is for tables that need to be preserved on an upgrade
if( !array_key_exists("upgrade", $_GET ) || $_GET["upgrade"] != "true" )
{
	$bUpgrade = false;
	$sql[] = 'DROP TABLE IF EXISTS `leagues`';
  	$sql[] =  'CREATE TABLE `leagues` ( `leagueid` int(11) NOT NULL auto_increment,
  										`leaguename` varchar(255) NOT NULL default \'\',
  										`active` int(11) NOT NULL default \'0\',
  										PRIMARY KEY  (`leagueid`)
									  ) TYPE=InnoDB';
}
else
{
	$bUpgrade = true;
}



@set_time_limit(0);
include 'config_misc.php';
$db = mysql_connect($dbhost, $dbuser, $dbpass);
if(!$db) die('Cannot connect: ' . mysql_error());
$res = mysql_select_db($dbname);
if(!$res) die('Cannot select database "' . $dbname . '": ' . mysql_error());
for($i=0; $i<count($sql); $i++)
{
 $res = mysql_query($sql[$i]);
 if(!$res) { echo 'error in query ', ($i + 1), ': ', mysql_error(), '<br />'; }
}

if($bUpgrade)
{
	?>
	<html><head><title>Updating Databases</title></head><body>
	<?php
	echo 'Updating done (', $i, ' queries).<br>';
		echo '<br><br>If you want to go back to the main config page, <a href="index.php">click here</a>';
		echo '<br><br><a href="../">Click here</a> to get back to the helm page!';
	?>
	
	</body>
	</html>
	<?php
}
else
{
	?>
	<html><head><title>Configuring Databases</title></head><body>
	<?php
	echo 'done (', count($sql), ' queries).<br>';
	echo 'Step 3 of initial configuration: You need to set up at least one league to start using Statfink.<br>';
	
	?>
	Use the form below to continue to the next step by entering in a short<b>(10 characters or less)</b> name for your league.  No spaces or special characters allowed, only letters and numbers and underscore here please.  Be aware that what you put here will be the folder name for the stat tracker for this league.<br>
	<br><form action="createleague.php" method="GET">
	League Name:&nbsp;<input type="text" name="leaguename">
	<input type="submit" value="Add League">
	</form>
	</body>
	</html>
	<?php
}
?>
