var DAYS = new Array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
var days = new Array("Sun", "Mon", "Tues", "Wed", "Thurs", "Fri", "Sat");
var MONTHS = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
var months = new Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");

function test()
{
	alert("testing");
}

// Examples for date/time Sunday, January 5th, 2006, 1:05:09 PM
//
// Textual
// ------------------------------------------
// %a: Abbreviated day of week 		[Sun]
// %A: Full day of week 			[Sunday]
// %b: Abbreviated month			[Jan]
// %B: Full month					[January]
// 
// Date
// ------------------------------------------
// %m: Month						[1]
// %M: Month (zero padded)			[1]
// %d: Date							[5]
// %D: Date (zero padded)			[05]
// %y: Year (2 digit, zero padded )	[06]
// %Y: Year (4 digit)				[2006]
//
// Time
// ------------------------------------------
// %h: Hour (12-hour)				[1]
// %H: Hour (24-hour)				[13]
// %i: Minutes (zero padded)		[05]
// %s: Seconds (zero padded)		[09]
// %p: am/pm						[pm]
// %P: AM/PM						[PM]
//
// Other
// ------------------------------------------
// %w: Numeric day of week (0-6)	[0]					

function formatTime(format, gmtTime)
{ 
	var time = new Date(gmtTime);
	
	var t = '';
	var H = time.getHours();
	var M = time.getMinutes();
	var S = time.getSeconds();
	var d = time.getDate();
	var m = time.getMonth();
	var w = time.getDay();
	var Y = time.getYear();
	if(Y<1900){Y+=1900;}
	var y = Y % 100;
	
	for(var i=0; i<format.length; i++)
	{
		if(format.charAt(i)=='%' && (i+1)<format.length)
		{
			var c = format.charAt(i+1);
			switch(c)
			{ 
				// Month & Day
				case 'a':{ t+=days[w]; break; }
				case 'A':{ t+=DAYS[w]; break; }
				case 'b':{ t+=months[m]; break; }
				case 'B':{ t+=MONTHS[m]; break; }
				
				//Date
				case 'd':{ t+=new String(d); break;}
				case 'D':{ if(d<10){ t+='0';} t+=new String(d); break;}
				case 'm':{ t+=new String(m+1); break;}
				case 'M':{ if(m<9){ t+='0';} t+=new String(m+1); break;}
				case 'y':{ if(y<10){ t+='0';} t+=new String(y); break;}
				case 'Y':{ t+=new String(Y); break;}
				
				//Time
				case 'h':{ if(H>12){ t+=new String(H - 12); }else if(H==0){ t+='12'; }else{ t+=new String(H); }break; }
				case 'H':{ t+=new String(H); break;}
				case 'i':{ if(M<10){ t+='0';} t+=new String(M); break;}
				case 's':{ if(S<10){ t+='0';} t+=new String(S); break;}
				case 'p':{ if(H<12){ t+='am';}else{ t+='pm' } break;}
				case 'P':{ if(H<12){ t+='am';}else{ t+='pm' } break;}
				
				case 'w':{ t+=w; break; }
				case '%':{ t+='%'; break;}
			}
			i++;
		}
		else
		{
			t+=format.charAt(i);
		}
	}
	return t;
}			

function formatCurrentTime( format )
{ 
	return formatTime(format, new Date().getTime());
}